Pular para o conteúdo principal
PUT
Update dashboard

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>

Cabeçalhos

X-Active-Brand
string<uuid>

Parâmetros de caminho

workspaceId
string
obrigatório

The workspace ID

Pattern: ^ws_[a-z0-9]+$
dashboardId
string<uuid>
obrigatório

Parâmetros de consulta

brand_id
string<uuid>

Corpo

application/json
name
string
Required string length: 1 - 120
description
string | null
Maximum string length: 2000
layout
object
widgets
object[]

When present, replaces the widget set for this dashboard transactionally. Widgets without id are created; widgets with an id matching an existing row are updated; widgets in the DB but absent from this array are deleted.

Resposta

Dashboard + widgets after update

dashboard
object
obrigatório
widgets
object[]
obrigatório
Última modificação em 25 de abril de 2026